Installer - Bug #35684

Filter "Applied catalog in x.y seconds" messages out of Puppet report
10/27/2022 08:54 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 3.5.0
Difficulty: Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pu
ppetserver_foreman/pull/25

Description

We filter out "Finished catalog run in x.y seconds" but somewhere between Puppet report format version 3 and 6 the message
changed to "Applied catalog in x.y seconds". This is then stored in the DB while it's also reported as a metric. It should be filtered out
again.

Related issues:
Related to Foreman - Bug #35833: Puppet configuration reports without entries... Ready For Testing

Associated revisions

Revision 4f65dd51 - 10/28/2022 06:19 AM - Ewoud Kohl van Wijngaarden
Fixes #35684 - Drop Applied catalog lines

In the past we dropped the line which stated how log catalog application

took since there's a metric for this. This was done by matching the

content, but the content changed somewhere between report version 3 and
6.

This saves a lot of redundant messages in the Foreman database. An
uneventful report will now have no messages at all.

History

#1 - 10/27/2022 08:55 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-puppetserver_foreman/pull/25 added

#2 - 11/02/2022 05:43 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
- Triaged changed from No to Yes

- Fixed in Releases 3.5.0 added

#3 - 12/05/2022 05:14 PM - Ewoud Kohl van Wijngaarden

Looks like this caused a regression: if there is no log entry, Foreman can't determine the source of the report. See
https://community.theforeman.org/t/identify-config-report-origin/31465 for more details.

#4 - 12/07/2022 12:40 PM - Ewoud Kohl van Wijngaarden
- Related to Bug #35833: Puppet configuration reports without entries do not get an origin added

#5 - 03/02/2023 02:10 PM - Antonin Dvorak

Hello,

related to this ticket - | run Puppet 5 and Foreman 3.5.
https://community.theforeman.org/t/identify-config-report-origin/31465

With this change "Applied catalog in x.y seconds" are indeed not displayed in Foreman Puppet reports, however the Report Status still shows 1
applied event -> hosts fall into the "Hosts that had performed modifications without error" when they have not done any real changes.

Any tips what to do with this? Some global "report_status["applied"] -= 1" ? Or decrease of the counter when "if log.message =~ /*(Finished catalog
run|Applied catalog) in \d+.\d+ seconds$/" is triggered?

| know Puppet 5 is no longer supported from Foreman's side, but | have no way how to verify if it applies only to this older version.

Thank you.
